CMSIS-DSP: Data Structures

| CMSIS-DSP Version 1.4.7 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures
Here are the data structures with brief descriptions:

arm_bilinear_interp_instance_f32 | Instance structure for the floating-point bilinear interpolation function
arm_bilinear_interp_instance_q15 | Instance structure for the Q15 bilinear interpolation function
arm_bilinear_interp_instance_q31 | Instance structure for the Q31 bilinear interpolation function
arm_bilinear_interp_instance_q7 | Instance structure for the Q15 bilinear interpolation function
arm_biquad_cas_df1_32x64_ins_q31 | Instance structure for the high precision Q31 Biquad cascade filter
arm_biquad_cascade_df2T_instance_f32 | Instance structure for the floating-point transposed direct form II Biquad cascade filter
arm_biquad_cascade_df2T_instance_f64 | Instance structure for the floating-point transposed direct form II Biquad cascade filter
arm_biquad_cascade_stereo_df2T_instance_f32 | Instance structure for the floating-point transposed direct form II Biquad cascade filter
arm_biquad_casd_df1_inst_f32 | Instance structure for the floating-point Biquad cascade filter
arm_biquad_casd_df1_inst_q15 | Instance structure for the Q15 Biquad cascade filter
arm_biquad_casd_df1_inst_q31 | Instance structure for the Q31 Biquad cascade filter
arm_cfft_instance_f32 | Instance structure for the floating-point CFFT/CIFFT function
arm_cfft_instance_q15 | Instance structure for the fixed-point CFFT/CIFFT function
arm_cfft_instance_q31 | Instance structure for the fixed-point CFFT/CIFFT function
arm_cfft_radix2_instance_f32 | Instance structure for the floating-point CFFT/CIFFT function
arm_cfft_radix2_instance_q15 | Instance structure for the Q15 CFFT/CIFFT function
arm_cfft_radix2_instance_q31 | Instance structure for the Radix-2 Q31 CFFT/CIFFT function
arm_cfft_radix4_instance_f32 | Instance structure for the floating-point CFFT/CIFFT function
arm_cfft_radix4_instance_q15 | Instance structure for the Q15 CFFT/CIFFT function
arm_cfft_radix4_instance_q31 | Instance structure for the Q31 CFFT/CIFFT function
arm_dct4_instance_f32 | Instance structure for the floating-point DCT4/IDCT4 function
arm_dct4_instance_q15 | Instance structure for the Q15 DCT4/IDCT4 function
arm_dct4_instance_q31 | Instance structure for the Q31 DCT4/IDCT4 function
arm_fir_decimate_instance_f32 | Instance structure for the floating-point FIR decimator
arm_fir_decimate_instance_q15 | Instance structure for the Q15 FIR decimator
arm_fir_decimate_instance_q31 | Instance structure for the Q31 FIR decimator
arm_fir_instance_f32 | Instance structure for the floating-point FIR filter
arm_fir_instance_q15 | Instance structure for the Q15 FIR filter
arm_fir_instance_q31 | Instance structure for the Q31 FIR filter
arm_fir_instance_q7 | Instance structure for the Q7 FIR filter
arm_fir_interpolate_instance_f32 | Instance structure for the floating-point FIR interpolator
arm_fir_interpolate_instance_q15 | Instance structure for the Q15 FIR interpolator
arm_fir_interpolate_instance_q31 | Instance structure for the Q31 FIR interpolator
arm_fir_lattice_instance_f32 | Instance structure for the floating-point FIR lattice filter
arm_fir_lattice_instance_q15 | Instance structure for the Q15 FIR lattice filter
arm_fir_lattice_instance_q31 | Instance structure for the Q31 FIR lattice filter
arm_fir_sparse_instance_f32 | Instance structure for the floating-point sparse FIR filter
arm_fir_sparse_instance_q15 | Instance structure for the Q15 sparse FIR filter
arm_fir_sparse_instance_q31 | Instance structure for the Q31 sparse FIR filter
arm_fir_sparse_instance_q7 | Instance structure for the Q7 sparse FIR filter
arm_iir_lattice_instance_f32 | Instance structure for the floating-point IIR lattice filter
arm_iir_lattice_instance_q15 | Instance structure for the Q15 IIR lattice filter
arm_iir_lattice_instance_q31 | Instance structure for the Q31 IIR lattice filter
arm_linear_interp_instance_f32 | Instance structure for the floating-point Linear Interpolate function
arm_lms_instance_f32 | Instance structure for the floating-point LMS filter
arm_lms_instance_q15 | Instance structure for the Q15 LMS filter
arm_lms_instance_q31 | Instance structure for the Q31 LMS filter
arm_lms_norm_instance_f32 | Instance structure for the floating-point normalized LMS filter
arm_lms_norm_instance_q15 | Instance structure for the Q15 normalized LMS filter
arm_lms_norm_instance_q31 | Instance structure for the Q31 normalized LMS filter
arm_matrix_instance_f32 | Instance structure for the floating-point matrix structure
arm_matrix_instance_f64 | Instance structure for the floating-point matrix structure
arm_matrix_instance_q15 | Instance structure for the Q15 matrix structure
arm_matrix_instance_q31 | Instance structure for the Q31 matrix structure
arm_pid_instance_f32 | Instance structure for the floating-point PID Control
arm_pid_instance_q15 | Instance structure for the Q15 PID Control
arm_pid_instance_q31 | Instance structure for the Q31 PID Control
arm_rfft_fast_instance_f32 | Instance structure for the floating-point RFFT/RIFFT function
arm_rfft_instance_f32 | Instance structure for the floating-point RFFT/RIFFT function
arm_rfft_instance_q15 | Instance structure for the Q15 RFFT/RIFFT function
arm_rfft_instance_q31 | Instance structure for the Q31 RFFT/RIFFT function